Fn key does not work on MacBook Pro 8,3

Bug #730629 reported by James P Michels III on 2011-03-07
40
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

The Fn key does not work on the recently released MacBook Pro 8,3. This is NOT the often reported problem where the key functions are reversed. The Fn key does nothing at all in this case.

Have tried using "options usbhid quirks=0x05ac:0x0245:0x00000800" in /etc/modprobe.d/options.conf based on previous issues with MacBook Pro keyboard without success.

WORKAROUND: This bug is fixed in the Natty version of the PPA for Mactel Support with commit...

url = http://bitmath.org/git/hid-apple-dkms.git

commit df0dda909f4033185681c17b40af27942de83bea
Author: Henrik Rydberg <email address hidden>
Date: Wed Mar 9 23:03:56 2011 +0100

    Add support for MBP8,2

    Patch author: Andy Botting <email address hidden>

It appears the product ID's for the new keyboard being used were not included in the hid-apple-dkms source.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-28-generic 2.6.35-28.49
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-28.49-generic 2.6.35.11
Uname: Linux 2.6.35-28-generic x86_64
NonfreeKernelModules: fglrx wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: Cirrus Analog [Cirrus Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jmichels 1820 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xb0900000 irq 46'
   Mixer name : 'Cirrus Logic CS4206'
   Components : 'HDA:10134206,106b2700,00100302'
   Controls : 16
   Simple ctrls : 9
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xb0840000 irq 52'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Mon Mar 7 08:43:23 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Apple Inc. MacBookPro8,3
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-28-generic root=UUID=5dd44c7c-52d1-484e-a9ec-cb328992842a ro quiet splash nomodeset video=uvesafb:mode_option=1600x1200-24,mtrr=3,scroll=ywrap
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38.5
RfKill:

SourcePackage: linux
WifiSyslog:
 Mar 7 07:43:03 MBP83 kernel: [ 1205.374186] lo: Disabled Privacy Extensions
 Mar 7 07:47:57 MBP83 kernel: [ 1499.152357] lo: Disabled Privacy Extensions
 Mar 7 08:13:13 MBP83 kernel: [ 3014.550326] lo: Disabled Privacy Extensions
 Mar 7 08:31:46 MBP83 kernel: [ 4126.998977] lo: Disabled Privacy Extensions
 Mar 7 08:41:02 MBP83 kernel: [ 4682.819084] lo: Disabled Privacy Extensions
dmi.bios.date: 02/07/11
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP81.88Z.0047.B04.1102071707
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-942459F5819B171B
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro8,3
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-942459F5819B171B
dmi.modalias: dmi:bvnAppleInc.:bvrMBP81.88Z.0047.B04.1102071707:bd02/07/11:svnAppleInc.:pnMacBookPro8,3:pvr1.0:rvnAppleInc.:rnMac-942459F5819B171B:rvrMacBookPro8,3:cvnAppleInc.:ct10:cvrMac-942459F5819B171B:
dmi.product.name: MacBookPro8,3
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Jeremy Foshee (jeremyfoshee) wrote :

Hi James,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

This bug is fixed in the Natty version of the PPA for Mactel Support with commit...

url = http://bitmath.org/git/hid-apple-dkms.git

commit df0dda909f4033185681c17b40af27942de83bea
Author: Henrik Rydberg <email address hidden>
Date: Wed Mar 9 23:03:56 2011 +0100

    Add support for MBP8,2

    Patch author: Andy Botting <email address hidden>

It appears the product ID's for the new keyboard being used were not included in the hid-apple-dkms source.

This fix has not yet been made available to older version of ubuntu.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alan Aversa (aversa) wrote :

I have this same problem periodically with 11.04 on a MacBook 2,1, so the bug is not "fixed in the Natty version of the PPA for Mactel Support" as James P Michels III said.

Tyler (mrtc) wrote :

I'm also experiencing this issue on MacBook Pro 8,1 with 11.04. Unable to try James P Michels solution as his link is giving me a 403 forbidden error.

Young Hahn (yhahn) wrote :

I've run into this problem on a MacBook Pro 8,3 on Oneiric. It looks like this may be fixed upstream in the 3.0.x linux kernel here:

http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.0.9

I'm not familiar enough with how the Ubuntu kernel handles upstream changes ... maybe someone can explain to me if this will make its way into the next updates or requires some additional input?

James P Michels III, thank you for reporting this and helping make Ubuntu better. Maverick reached EOL on April 10, 2012.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in a supported release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers